Skip to main content
GET
/
admin
/
organizations
/
{org_id}
/
invitations
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role_name": "<string>",
      "invited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "accepted_at": "2023-11-07T05:31:56Z",
      "created_by_platform_admin": true,
      "role_slug": "<string>"
    }
  ],
  "next_cursor": "<string>",
  "prev_cursor": "<string>",
  "has_more": false,
  "has_previous": false,
  "total_estimate": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

org_id
string<uuid>
required

Query Parameters

status
enum<string> | null

Invitation lifecycle status.

Available options:
pending,
accepted,
revoked
limit
integer
default:20
Required range: 1 <= x <= 200
cursor
string | null
reverse
boolean
default:false

Response

Successful Response

items
AdminOrgInvitationRead · object[]
required
next_cursor
string | null

Cursor for next page

prev_cursor
string | null

Cursor for previous page

has_more
boolean
default:false

Whether more items exist

has_previous
boolean
default:false

Whether previous items exist

total_estimate
integer | null

Estimated total count from table statistics